/*
 * Copyright 2023 FalsePattern
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.falsepattern.zigbrains.project.execution.configurations;

import com.falsepattern.zigbrains.zig.Icons;
import com.intellij.execution.configurations.ConfigurationFactory;
import com.intellij.execution.configurations.ConfigurationTypeBase;
import com.intellij.execution.configurations.ConfigurationTypeUtil;

public class ZigRunExecutionConfigurationType extends ConfigurationTypeBase {
    public static final String IDENTIFIER = "ZIG_RUN_CONFIGURATION";

    public static ZigRunExecutionConfigurationType getInstance() {
        return ConfigurationTypeUtil.findConfigurationType(ZigRunExecutionConfigurationType.class);
    }

    public ZigRunExecutionConfigurationType() {
        super(IDENTIFIER, "ZigRun", "Zig Run", Icons.ZIG);
        addFactory(new ZigRunExecutionConfigurationFactory(this));
    }

    public ConfigurationFactory getFactory() {
        return getConfigurationFactories()[0];
    }

}
